# Uses of Interface
org.eclipse.birt.chart.model.attribute.JavaDateFormatSpecifier

Packages that use JavaDateFormatSpecifier
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of JavaDateFormatSpecifier in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return JavaDateFormatSpecifier
Modifier and Type
Method
Description
`JavaDateFormatSpecifier`
JavaDateFormatSpecifier.`copyInstance()`
`JavaDateFormatSpecifier`
AttributeFactory.`createJavaDateFormatSpecifier()`
Returns a new object of class 'Java Date Format Specifier'.

## Uses of JavaDateFormatSpecifier in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement JavaDateFormatSpecifier
Modifier and Type
Class
Description
`class`
`JavaDateFormatSpecifierImpl`
An implementation of the model object ' Java Date Format Specifier'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return JavaDateFormatSpecifier
Modifier and Type
Method
Description
`JavaDateFormatSpecifier`
JavaDateFormatSpecifierImpl.`copyInstance()`
`static JavaDateFormatSpecifier`
JavaDateFormatSpecifierImpl.`create(String sJavaPattern)`
A convenience methods provided to create an initialized JavaDateFormatSpecifier instance NOTE: Manually written
`JavaDateFormatSpecifier`
AttributeFactoryImpl.`createJavaDateFormatSpecifier()`